Midori does not work

Non release banter
Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#16 by Kulle » 06 Mar 2019, 18:16

Midori is an interesting browser. I use it occasionally.
But it is very inconvenient: you have to activate 3 modules.
That's why:
I have created a folder midori_browser.
In this folder I have copied everything that is needed:
the three xzm modules, the configuration and a script:

Code: Select all

#!/bin/bash
echo guest | sudo -S activate glib-networking-2.46.1-x86_64-1.xzm
echo guest | sudo -S activate gsettings-desktop-schemas-3.18.1-x86_64-1.xzm
echo guest | sudo -S activate midori-0.5.11-x86_64-xfce-don.xzm
cp -r midori /home/guest/.config/
midori https://www.google.com
The configuration is the directory midori from /home/guest/.config
To use midori:
Change to the directory midori_browser and run the script.
The midori_browser folder can be created anywhere.

Is there also a possibility to combine several modules into one?

User avatar
Ed_P
Contributor
Contributor
Posts: 5266
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Midori does not work

Post#17 by Ed_P » 06 Mar 2019, 18:38

A neat script but yu could put the 3 modules in the Porteus /modules folder so they activate when booting and the config file in the .config folder should be saved when you save changes. ;)
Ed

donald
Full of knowledge
Full of knowledge
Posts: 1556
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Midori does not work

Post#18 by donald » 06 Mar 2019, 20:24

Kulle wrote:
06 Mar 2019, 18:16
Is there also a possibility to combine several modules into one?
Hi Kulle
How to merge existing *.xzm files (modules).

NOTE all this is done in /tmp

Create a folder, any name would do, and put (copy) the xzms you want to merge into that folder.
( e.g. /tmp/bla )

Create a 2nd folder named like the app you want to build/bundle
( e.g. /tmp/midori-bundle-kulle )

Open a terminal > su to root > cd into /tmp/bla

Code: Select all

root@porteus:/tmp/bla# for a in *.xzm; do xzm2dir $a /tmp/midori-bundle-kulle; done
..........
root@porteus:/tmp/bla# dir2xzm /tmp/midori-bundle-kulle /tmp/midori-bundle-kulle.xzm
...your midori-bundle will be in /tmp....
(you can now delete the 2 previously created folders)

Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#19 by Kulle » 07 Mar 2019, 09:08

Thank you, Donald.
Hi Ed_P :
A lot of programs are only rarely used,
e.g. video editing programs, photo editing programs, some browsers (e.g., Dillo), etc., etc.
I do not store these programs in the Porteus/modules folder.
I only activate a rarely used program if I want to use it.
That's why I wrote the script, because Midori I probably won't use on a daily basis.
In the folder Porteus/modules I save only the modules, which must be constantly available.
As a consequence:
The system is not too big and remains stable and the start up time is short

User avatar
Ed_P
Contributor
Contributor
Posts: 5266
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Midori does not work

Post#20 by Ed_P » 07 Mar 2019, 15:27

:) All good reasons for your script Kulle. :happy62: I do something similar for apps I don't use often, like Wine.
Ed

Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#21 by Kulle » 09 Mar 2019, 12:10

Thank you Donald,
I merged the 3 modules and adjusted the script.
But midori-0.5.11 is an old version with security breachs.
See here:
https://wiki.ubuntuusers.de/Midori/
The development of Midori stalled around 2015 and resumed in the last quarter of 2018.
The current version is a tar.gz file:
https://github.com/midori-browser/core/releases/
It will certainly be very (!) difficult to run under Porteus.

Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#22 by Kulle » 05 Sep 2019, 11:01

The latest version of midori can now be get via spm
(spm-19.06.26-noarch-2.xzm)
But midori does not work. There are no library programs:
/lib64/libm.so.6: version `GLIBC_2.29' not found (required by /usr/lib/libwebkit2gtk-4.0.so.37)

I have activated additionally glibc-2.29-9.fc30.x86_64.xzm
Again missing library programs:
/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by /usr/lib/libwebkit2gtk-4.0.so.37)
/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by /usr/lib/libjavascriptcoregtk-4.0.so.18)

Here a similar error is described:
https://stackoverflow.com/questions/546 ... glibc-2-27

It seems to be very complicated?

neko
DEV Team
DEV Team
Posts: 1635
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Midori does not work

Post#23 by neko » 06 Sep 2019, 08:45

@Kulle
I am repackaging a "midori" for new spm.

[new midori]
Under testing new midori for 64Bit Porteus Version 5.

midori-slk-19.09.06-x86_64-1.xzm (23 M)
http://www.mediafire.com/file/vbow9cdfb ... 6_64-1.xzm
md5sum: 63d0eea67f967cad900b0898167bfa00 midori-slk-19.09.06-x86_64-1.xzm

[Issue]
This dependency is resolved, and will be run. But any network address can not be accessed.

[contained packages]
midori-0.5.11-x86_64-1gv : from http://download.salixos.org/x86_64/14.2 ... 64-1gv.txz

dependency libraries: from http://ftp.br.debian.org/debian/pool
libenchant1c2a_1.6.0-11+b1_amd64
libharfbuzz-icu0_1.4.2-1_amd64
libicu57_57.1-6+deb9u2_amd64
libjavascriptcoregtk-1.0-0_2.4.11-3_amd64
libwebkitgtk-1.0-0_2.4.11-3_amd64
libwebp6_0.5.2-1_amd64

only for 64Bit Porteus : from http://ftp.br.debian.org/debian/pool
libgstreamer-plugins-base1.0-0_1.10.4-1_amd64
libgstreamer1.0-0_1.10.4-1_amd64

--------------------------------
Note 1:
New midori for 64Bit APorteus Version is OK.
http://www.mediafire.com/file/tursxrlzx ... 6_64-1.xzm
md5sum: 40406a2d0834df858bf2943ef37fc7c9

Note 2:
New "APorteus ISO builder" is still being rebuilt.
It includes the "ArchLinux packages manager" spm.


Thanks.

Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#24 by Kulle » 06 Sep 2019, 14:37

Hi neko,

midori-slk-19.09.06-x86_64-1.xzm is a very old version (It is version 0.5.11)

The development of Midori stalled around 2016.
After almost two years of inactivity, the development resumed in the last quarter of 2018.
A few extensions including an ad-blocker were added in the later releases.
See here: https://itsfoss.com/midori-browser/
The latest version is 9.0 (Last updated July 2019)
See here: https://github.com/midori-browser/core/releases/
If distro supports snaps you can install the latest stable version of Midori from the snap store:
See here: https://snapcraft.io/midori

But I could not build an xzm module for 9.0

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2361
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

Midori does not work

Post#25 by ncmprhnsbl » 06 Sep 2019, 22:41

slackel packages midori 9.0 for current.. not sure how they'd go on porteus 4.0, since it's not really 'current' anymore
http://www.slackel.gr/repo/x86_64/curre ... 64-1dj.txz
http://www.slackel.gr/repo/x86_64/curre ... 64-1dj.txz
if you need more deps, probably prefer slackel current packages (easily found via http://slakfinder.org )
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Shogun
Shogun
Posts: 205
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Midori does not work

Post#26 by Kulle » 10 Sep 2019, 09:27

Thanks ncmprhnsbl,
via http://slakfinder.org is available midori-8.0-x86_64-1ponce
With these additional library programs, midori-8.0 has worked for me on Porteus 4.0 Xfce :

glib-networking-2.46.1-x86_64-1.txz
gsettings-desktop-schemas-3.18.1-x86_64-1.txz
brotli-1.0.5-x86_64-1_slonly.txz
gobject-introspection-1.46.0-x86_64-1.txz
gst-plugins-base-1.6.4-x86_64-1.txz
gstreamer-1.6.4-x86_64-1.txz
hyphen-2.8.8-x86_64-1ponce.txz
icu4c-56.1-x86_64-2.txz
json-glib-1.2.8-x86_64-1_slonly.txz
libpeas-1.16.0-x86_64-1_slonly.txz
libvisual-0.4.0-x86_64-3.txz
webkit2gtk-2.20.3-x86_64-1_slonly.txz
woff2-1.0.2-x86_64-1ponce.txz

Post Reply